import unit4.ioLib.IO;


public class TestCommoMedian 
{
	public static void main(String[] args)
	{
		int n = IO.readInt("Enter number of grades: ");
		int[] vec = new int[n];
		
		initArray(vec);
		System.out.println("The common grade is: " + common(vec));
		System.out.println("The median grade is: " + median(vec));
	}
	
	public static void initArray(int[] arr)
	{
		for (int i = 0; i < arr.length; i++) 
			arr[i] = (int)(Math.random()*101);
	}

	public static int common(int[] arr)
	{
		int[] counterArray = new int[101];
		
		for (int i = 0; i < counterArray.length; i++) 
			counterArray[i] = 0;
		
		for (int i = 0; i < arr.length; i++) 
			counterArray[arr[i]]++;
		
		int commonNum = 0;
		for (int i = 1; i < counterArray.length; i++) 
		{
			if(counterArray[i] > counterArray[commonNum])
				commonNum = i;
		}
		
		return commonNum;
	}

	public static int median(int[] arr)
	{
		sort(arr);
		
		return arr[arr.length/2];
	}
	
	//   -     
	public static void sort(int[] arr)
	{
		for (int i = 1; i <= arr.length-1; i++) 
		{
			for (int j = 0; j < arr.length-i; j++) 
			{
				if(arr[j]>arr[j+1])
				{
					int temp = arr[j];
					arr[j] = arr[j+1];
					arr[j+1] = temp;
				}
			}
		}
	}
}
